@import "~bootstrap/scss/_functions.scss";
@import "~bootstrap/scss/_variables.scss";
@import "~bootstrap/scss/mixins/_breakpoints.scss";

.navbar {
  transition: all .1s ease;

  .navbar-nav {
    .nav-item {
      position: relative;

      @include media-breakpoint-up(lg) {
        &:not(:last-child) {
          &:before {
            content: '';
            position: absolute;
            right: 100%;
            top: 50%;
            transform: translateY(-50%);
            width: 2px;
            height: 70%;
            background-color: #ababab;
          }
        }
      }

      .nav-link {
        padding: 0 1em;
        font-weight: 700;

        &.active {
          background: linear-gradient(226deg, #f90, #583504);
          -webkit-background-clip: text;
          -webkit-text-fill-color: transparent;
        }
      }
    }
  }


  @include media-breakpoint-down(lg) {
    a.navbar-toggle {

      display: flex;
      flex-direction: column;
      width: 35px;
      cursor: pointer;

      span {
        background: var(--whiteColor);
        border-radius: 10px;
        height: 3px;
        margin: 3px 0;
        transition: .4s cubic-bezier(0.68, -0.6, 0.32, 1.6);

        &:nth-of-type(1) {
          width: 40%;
        }

        &:nth-of-type(2) {
          width: 84%;
        }

        &:nth-of-type(3) {
          width: 40%;
        }
      }

      &[aria-expanded=true] {
        span {
          &:nth-of-type(1) {
            transform-origin: bottom;
            transform: rotatez(45deg) translate(-6px, 10px)
          }

          &:nth-of-type(2) {
            transform-origin: top;
            transform: rotatez(-45deg)
          }

          &:nth-of-type(3) {
            transform-origin: bottom;
            width: 40%;
            transform: translate(0, -4px) rotatez(45deg);
          }
        }
      }
    }
    .navbar-collapse {
      background-color: var(--whiteColor);
      padding: 1em 0;

      .nav-item {
        padding: .7em 0;
        border-bottom: 1px solid #eee;

        &:last-child {
          border: none;
          padding-bottom: 0;
        }

        .nav-link {
          color: var(--blackColor);
        }
      }
    }
  }


  &.bg-white {
    a{
      color: #3f3f3f !important;
    }
    span {
      background-color: #3f3f3f !important;
    }
  }
}



